#!/bin/bash

#################ADD ARCHLINUXFR SOURCE##########################
[[ -z $(cat /etc/pacman.conf |grep -v ^# |grep archlinux.fr ) ]] && \
echo -ne "[archlinuxfr]\nServer = http://repo.archlinux.fr/\$arch\n" >> /etc/pacman.conf
[[ -z $(cat /etc/pacman.conf |grep -v ^# |grep ILoveCandy) ]] && \
sed -i '/Misc options/ a\ILoveCandy' /etc/pacman.conf
pacman -Syyu

#################DO YOU INSTALL ON VIRTUALBOX ?##################
echo " "
echo "########################################"
echo "########################################"
echo "## ARE YOU INSTALLING THIS ARCHLINUX  ##"
echo "## ON VIRTUALBOX ?                    ##"
echo "## IF YES , INPUT [Y] OR [y] .        ##"
echo "## IF NO , INPUT OTHER WORD OR JUST   ##"
echo "## INPUT [ENTER] .                    ##"
echo "########################################"
echo "########################################"
echo " "
read VB
[[ $VB == y || $VB == Y ]] && echo "virtualbox-archlinux-additions" >> ./drivers
[[ $VB == y || $VB == Y ]] && sed -i '/^MODULES=/ s/)/ vboxguest vboxsf vboxvideo)/' /etc/rc.conf

#################DO YOU INSTALL ON NOTEBOOK ?####################
echo " "
echo "########################################"
echo "########################################"
echo "## ARE YOU INSTALLING THIS ARCHLINUX  ##"
echo "## ON NOTEBOOK ?                      ##"
echo "## IF YES , INPUT [Y] OR [y] .        ##"
echo "## IF NO , INPUT OTHER WORD OR JUST   ##"
echo "## INPUT [ENTER] .                    ##"
echo "########################################"
echo "########################################"
echo " "
read NB

#################VIDEOCARD DRIVERS###############################
echo " "
echo "########################################"
echo "########################################"
echo "## WHAT VIDEOCARD OF YOU COMPUTER ?   ##"
echo "## INPUT [NUMBER] ACCORDING FOLLOWING ##"
echo "##   0 = ANYONE IS OK (INSTALL ALL)   ##"
echo "##   1 = xf86-video-ati               ##"
echo "##   2 = xf86-video-intel             ##"
echo "##   3 = xf86-video-nouveau           ##"
echo "##   4 = xf86-video-nv                ##"
echo "##   5 = xf86-video-vesa              ##"
echo "##   6 = xf86-video-vmware            ##"
echo "##   7 = nvidia    (Official Driver)  ##"
echo "##   8 = INPUT BY MYSELF              ##"
echo "########################################"
echo "########################################"
echo " "
read VC
[[ $VC == 0 || $VC == "" ]] && echo -ne ./videoall >> ./drivers
[[ $VC == 1 ]] && echo -ne "xf86-video-ati\nati-dri\n" >> ./drivers
[[ $VC == 2 ]] && echo -ne "xf86-video-intel\nintel-dri\n" >> ./drivers
[[ $VC == 3 ]] && echo "xf86-video-nouveau" >> ./drivers
[[ $VC == 4 ]] && echo "xf86-video-nv" >> ./drivers
[[ $VC == 5 ]] && echo "xf86-video-vesa" >> ./drivers
[[ $VC == 6 ]] && echo "xf86-video-vmware" >> ./drivers
[[ $VC == 7 ]] && echo -ne "nvidia-utils\nnvidia\n" >> ./drivers
[[ $VC == 8 ]] && echo "Please Input Your Driver Package Name :" \
&& echo " (Separate With [SPACE] )" && read DP && echo "$DP" >> ./drivers

#################INSTALL NORMAL SOFTWARE#########################
pacman -S --needed --noconfirm $(< ./pkglist_pacman)
for NORM in $(< ./pkglist_pacman)
do
	while [[ -z $(pacman -Q $NORM) ]];do
		pacman -S --noconfirm $NORM
	done
done

#################INSTALL DRIVERS#################################
pacman -S --needed --noconfirm $(< ./drivers)
for DRI in $(< ./drivers)
do
	while [[ -z $(pacman -Q $DRI) ]];do
		pacman -S --noconfirm $DRI
	done
done

#################INSTALL NOTEBOOK'S DRIVERS######################
if [[ $NB == y || $NB == Y ]]; then
for NBDRI in $(< ./notebook)
do
	while [[ -z $(pacman -Q $NBDRI) ]];do
		yaourt -S --noconfirm $NBDRI
	done
done
fi

#################REMOVE ARCHLINUXFR SOURCE#######################
sed -i '/archlinux.*fr/ d' /etc/pacman.conf
pacman -Syy

#################INSTALL AUR SOFTWARE############################
for AUR in $(< ./pkglist_aur)
do
	while [[ -z $(pacman -Q $AUR) ]];do
		yaourt -S --noconfirm $AUR
	done
done


#################COPY SOME FILES#################################
cp -r ./etc/ /
cp -r ./usr/ /

#################CREATE A NEW USER###############################
echo " "
echo "########################################"
echo "########################################"
echo "## DO YOU WANT TO CREATE A NEW USER ? ##"
echo "## INPUT [Y] or [y] TO CREATE,        ##"
echo "## INPUT NOTHING OR OTHERs TO SKIP.   ##"
echo "########################################"
echo "########################################"
echo " "
read CRE
if [[ $CRE = "y" || $CRE = "Y" ]];then
echo " "
echo "########################################"
echo "########################################"
echo "## PLEASE INPUT NEW USERNAME :        ##"
echo "########################################"
echo "########################################"
echo " "
read NAME1
useradd --create-home --skel /etc/skel --gid users --groups "audio,video,lp,wheel,power,storage,optical,network,log" --shell /bin/bash $NAME1
echo " "
echo "########################################"
echo "########################################"
echo "## SET PASSWORD FOR NEWUSER :         ##"
echo "## YOU SHOULD INPUT TWICE TO CONFIRM. ##"
echo "########################################"
echo "########################################"
echo " "
passwd $NAME1
sed -i "/^#*default_user/ c\default_user $NAME1" /etc/slim.conf
fi

#################SET DAEMONS,INITTAB,SUDOERS#####################
cp /etc/rc.conf /etc/rc.conf.old
sed -i '/DAEMONS=/ c\DAEMONS=(dbus networkmanager syslog-ng @alsa)' /etc/rc.conf 
sed -i '/^id:3:/ s/^/#/; /id:5/ s/#*//; /^x:5:/ s/^/#/; /slim >/ s/#*//' /etc/inittab 
echo "%wheel ALL=(ALL) NOPASSWD: ALL" >> /etc/sudoers.d/g_wheel

#################REMOVE USELESS SHORTCUTS########################
rm /usr/share/applications/{7zFM.desktop,bssh.desktop,bvnc.desktop,avahi-discover.desktop,qv4l2.desktop}
rm /etc/xdg/autostart/nm-applet.desktop

echo " "
echo "########################################"
echo "########################################"
echo "## YOU HAVE COMPLETE THE INSTALLATION ##"
echo "## ENJOY THE NEW SYSTEM !             ##"
echo "########################################"
echo "########################################"
echo " "
