#!/bin/bash

case "$1" in
	-p)
		killall nitrogen
		sed -i 's/^nitrogen.*$/pcmanfm --desktop \&/g' ~/.config/openbox/autostart
		sed -i '/own_window_type/ s/ .*$/ normal/' ~/.conkyrc
		if [[ $(ps -e |grep acw.sh) ]]; then
		killall acw.sh
		cp ~/.config/openbox/scripts/acw_p.sh ~/.config/openbox/scripts/acw.sh
		(pcmanfm --desktop && ~/.config/openbox/scripts/acw.sh) &
		fi
		pcmanfm --desktop &
	;;
	-n)
		pcmanfm --desktop-off
		sed -i 's/^pcmanfm.*$/nitrogen --restore \&/g' ~/.config/openbox/autostart
		sed -i '/own_window_type/ s/ .*$/ desktop/' ~/.conkyrc
		if [[ $(ps -e |grep acw.sh) ]]; then
		killall acw.sh
		cp ~/.config/openbox/scripts/acw_n.sh ~/.config/openbox/scripts/acw.sh
		(nitrogen --restore && ~/.config/openbox/scripts/acw.sh) &
		fi
		nitrogen --restore &
	;;
	*)
	echo 'This script accepts the following arguments:-p, -n '
	;;
esac